
From: Anton Blanchard <anton@samba.org>



---

 arch/ppc64/kernel/asm-offsets.c     |    1 +
 arch/ppc64/kernel/iSeries_VpdInfo.c |    1 +
 arch/ppc64/kernel/lparcfg.c         |    1 +
 arch/ppc64/kernel/proc_ppc64.c      |    1 +
 arch/ppc64/kernel/rtas_flash.c      |    2 --
 arch/ppc64/kernel/signal.c          |    1 +
 arch/ppc64/kernel/signal32.c        |    1 +
 arch/ppc64/kernel/sys_ppc32.c       |    1 +
 arch/ppc64/kernel/viopath.c         |    1 -
 arch/ppc64/mm/hash_low.S            |    1 -
 arch/ppc64/mm/hugetlbpage.c         |    1 -
 arch/ppc64/xmon/start.c             |    1 +
 include/asm-ppc64/cputable.h        |    2 ++
 include/asm-ppc64/mmu.h             |    1 +
 include/asm-ppc64/mmu_context.h     |    1 +
 include/asm-ppc64/pgtable.h         |    1 +
 include/asm-ppc64/processor.h       |    1 +
 17 files changed, 14 insertions(+), 5 deletions(-)

diff -puN arch/ppc64/kernel/asm-offsets.c~ppc64-config_h arch/ppc64/kernel/asm-offsets.c
--- 25/arch/ppc64/kernel/asm-offsets.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/asm-offsets.c	2004-01-26 19:42:18.000000000 -0800
@@ -13,6 +13,7 @@
  * 2 of the License, or (at your option) any later version.
  */
 
+#include <linux/config.h>
 #include <linux/signal.h>
 #include <linux/sched.h>
 #include <linux/kernel.h>
diff -puN arch/ppc64/kernel/iSeries_VpdInfo.c~ppc64-config_h arch/ppc64/kernel/iSeries_VpdInfo.c
--- 25/arch/ppc64/kernel/iSeries_VpdInfo.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/iSeries_VpdInfo.c	2004-01-26 19:42:18.000000000 -0800
@@ -25,6 +25,7 @@
 /*   Ported to ppc64, August 20, 2001                                   */
 /* End Change Activity                                                  */
 /************************************************************************/
+#include <linux/config.h>
 #include <linux/init.h>
 #include <linux/pci.h>
 #include <asm/types.h>
diff -puN arch/ppc64/kernel/lparcfg.c~ppc64-config_h arch/ppc64/kernel/lparcfg.c
--- 25/arch/ppc64/kernel/lparcfg.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/lparcfg.c	2004-01-26 19:45:45.000000000 -0800
@@ -17,6 +17,7 @@
  * keyword - value pairs that specify the configuration of the partition.
  */
 
+#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/types.h>
 #include <linux/errno.h>
diff -puN arch/ppc64/kernel/proc_ppc64.c~ppc64-config_h arch/ppc64/kernel/proc_ppc64.c
--- 25/arch/ppc64/kernel/proc_ppc64.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/proc_ppc64.c	2004-01-26 19:42:18.000000000 -0800
@@ -27,6 +27,7 @@
  * End Change Activity 
  */
 
+#include <linux/config.h>
 #include <linux/init.h>
 #include <linux/mm.h>
 #include <linux/proc_fs.h>
diff -puN arch/ppc64/kernel/rtas_flash.c~ppc64-config_h arch/ppc64/kernel/rtas_flash.c
--- 25/arch/ppc64/kernel/rtas_flash.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/rtas_flash.c	2004-01-26 19:42:18.000000000 -0800
@@ -14,8 +14,6 @@
  */
 
 #include <linux/module.h>
-
-#include <linux/config.h>
 #include <linux/init.h>
 #include <asm/proc_fs.h>
 #include <asm/delay.h>
diff -puN arch/ppc64/kernel/signal32.c~ppc64-config_h arch/ppc64/kernel/signal32.c
--- 25/arch/ppc64/kernel/signal32.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/signal32.c	2004-01-26 19:42:18.000000000 -0800
@@ -14,6 +14,7 @@
  *      2 of the License, or (at your option) any later version.
  */
 
+#include <linux/config.h>
 #include <linux/sched.h>
 #include <linux/mm.h> 
 #include <linux/smp.h>
diff -puN arch/ppc64/kernel/signal.c~ppc64-config_h arch/ppc64/kernel/signal.c
--- 25/arch/ppc64/kernel/signal.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/signal.c	2004-01-26 19:42:18.000000000 -0800
@@ -14,6 +14,7 @@
  *  2 of the License, or (at your option) any later version.
  */
 
+#include <linux/config.h>
 #include <linux/sched.h>
 #include <linux/mm.h>
 #include <linux/smp.h>
diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-config_h arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2004-01-26 19:42:18.000000000 -0800
@@ -14,6 +14,7 @@
  *      2 of the License, or (at your option) any later version.
  */
 
+#include <linux/config.h>
 #include <asm/ptrace.h>
 #include <linux/kernel.h>
 #include <linux/sched.h>
diff -puN arch/ppc64/kernel/viopath.c~ppc64-config_h arch/ppc64/kernel/viopath.c
--- 25/arch/ppc64/kernel/viopath.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/viopath.c	2004-01-26 19:42:18.000000000 -0800
@@ -28,7 +28,6 @@
  * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  *
  */
-#include <linux/config.h>
 #include <asm/uaccess.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
diff -puN arch/ppc64/mm/hash_low.S~ppc64-config_h arch/ppc64/mm/hash_low.S
--- 25/arch/ppc64/mm/hash_low.S~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/mm/hash_low.S	2004-01-26 19:42:18.000000000 -0800
@@ -10,7 +10,6 @@
  * described in the kernel's COPYING file.
  */
 
-#include <linux/config.h>
 #include <asm/processor.h>
 #include <asm/pgtable.h>
 #include <asm/mmu.h>
diff -puN arch/ppc64/mm/hugetlbpage.c~ppc64-config_h arch/ppc64/mm/hugetlbpage.c
--- 25/arch/ppc64/mm/hugetlbpage.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/mm/hugetlbpage.c	2004-01-26 19:42:18.000000000 -0800
@@ -7,7 +7,6 @@
  * Copyright (C) 2002, Rohit Seth <rohit.seth@intel.com>
  */
 
-#include <linux/config.h>
 #include <linux/init.h>
 #include <linux/fs.h>
 #include <linux/mm.h>
diff -puN arch/ppc64/xmon/start.c~ppc64-config_h arch/ppc64/xmon/start.c
--- 25/arch/ppc64/xmon/start.c~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/arch/ppc64/xmon/start.c	2004-01-26 19:45:42.000000000 -0800
@@ -6,6 +6,7 @@
  *      as published by the Free Software Foundation; either version
  *      2 of the License, or (at your option) any later version.
  */
+#include <linux/config.h>
 #include <linux/string.h>
 #include <linux/kernel.h>
 #include <linux/sysrq.h>
diff -puN include/asm-ppc64/cputable.h~ppc64-config_h include/asm-ppc64/cputable.h
--- 25/include/asm-ppc64/cputable.h~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/include/asm-ppc64/cputable.h	2004-01-26 19:45:43.000000000 -0800
@@ -15,6 +15,8 @@
 #ifndef __ASM_PPC_CPUTABLE_H
 #define __ASM_PPC_CPUTABLE_H
 
+#include <linux/config.h>
+
 /* Exposed to userland CPU features - Must match ppc32 definitions */
 #define PPC_FEATURE_32			0x80000000
 #define PPC_FEATURE_64			0x40000000
diff -puN include/asm-ppc64/mmu_context.h~ppc64-config_h include/asm-ppc64/mmu_context.h
--- 25/include/asm-ppc64/mmu_context.h~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/include/asm-ppc64/mmu_context.h	2004-01-26 19:45:43.000000000 -0800
@@ -1,6 +1,7 @@
 #ifndef __PPC64_MMU_CONTEXT_H
 #define __PPC64_MMU_CONTEXT_H
 
+#include <linux/config.h>
 #include <linux/spinlock.h>	
 #include <linux/kernel.h>	
 #include <linux/mm.h>	
diff -puN include/asm-ppc64/mmu.h~ppc64-config_h include/asm-ppc64/mmu.h
--- 25/include/asm-ppc64/mmu.h~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/include/asm-ppc64/mmu.h	2004-01-26 19:45:43.000000000 -0800
@@ -13,6 +13,7 @@
 #ifndef _PPC64_MMU_H_
 #define _PPC64_MMU_H_
 
+#include <linux/config.h>
 #include <asm/page.h>
 
 #ifndef __ASSEMBLY__
diff -puN include/asm-ppc64/pgtable.h~ppc64-config_h include/asm-ppc64/pgtable.h
--- 25/include/asm-ppc64/pgtable.h~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/include/asm-ppc64/pgtable.h	2004-01-26 19:42:18.000000000 -0800
@@ -7,6 +7,7 @@
  */
 
 #ifndef __ASSEMBLY__
+#include <linux/config.h>
 #include <linux/stddef.h>
 #include <asm/processor.h>		/* For TASK_SIZE */
 #include <asm/mmu.h>
diff -puN include/asm-ppc64/processor.h~ppc64-config_h include/asm-ppc64/processor.h
--- 25/include/asm-ppc64/processor.h~ppc64-config_h	2004-01-26 19:42:18.000000000 -0800
+++ 25-akpm/include/asm-ppc64/processor.h	2004-01-26 19:42:18.000000000 -0800
@@ -12,6 +12,7 @@
 
 #include <linux/stringify.h>
 #ifndef __ASSEMBLY__
+#include <linux/config.h>
 #include <asm/atomic.h>
 #include <asm/ppcdebug.h>
 #include <asm/a.out.h>

_
